﻿Imports System.Runtime.CompilerServices
Imports System.Diagnostics
Imports System.Data.Common

Namespace Global.System

	Public Module CollectionCasts

		<Extension()> Public Function RowsX(dgv As DataGridView) As IEnumerable(Of DataGridViewRow)
			Return dgv.Rows.Cast(Of DataGridViewRow)
		End Function
		<Extension()> Public Function ColumnsX(dgv As DataGridView) As List(Of DataGridViewColumn)
			Return dgv.Columns.Cast(Of DataGridViewColumn).ToList
		End Function
		<Extension()> Public Function SelectedCellsX(dgv As DataGridView) As List(Of DataGridViewCell)
			Return dgv.SelectedCells.Cast(Of DataGridViewCell).ToList
		End Function

		<Extension()> Public Function SelectedRowsX(dgv As DataGridView) As List(Of DataGridViewRow)
			Return dgv.SelectedRows.Cast(Of DataGridViewRow).ToList
		End Function
	End Module
End Namespace
